/*  Copyright (C) 2012-2013 Zoltn Nagy
 *  Created by Zoltn Nagy on 16/2/12.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program. If not, see <http://www.gnu.org/licenses/>. 
 */
#ifndef __deductor_proc_epajets_h__
#define __deductor_proc_epajets_h__ 1

/*   std includes    */

/*   project headers   */
#include <bits/duct-model.h>
#include <bits/mc-shower-history.h>



namespace duct {
  
  
  class epajets
  {
  public:
    /*    constructor    */
    explicit epajets(const model_ref&, double);
    
    /*  this function generates a new hard event   */
    void generate(random_engine_type&, shower_history<epa>&);
    
  private:
    /*    private members   */
    double _M_Ecm, _M_cp[6]; 
    model_ref _M_mdl;
  };
 
  
}

#endif
